Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.prng
Class FixedSecureRandom

    java.lang.Object
      java.util.Random
          java.security.SecureRandom
              org.bouncycastle.crypto.prng.FixedSecureRandom

All Implemented Interfaces:
  java.io.Serializable

public class FixedSecureRandom
extends java.security.SecureRandom

A secure random that returns pre-seeded data to calls of nextBytes() or generateSeed().

See Also:
  Serialized Form

Constructor Summary
`FixedSecureRandom(boolean intPad, byte[] value)` Pad the data on integer boundaries.
`FixedSecureRandom(boolean intPad, byte[][] values)` Pad the data on integer boundaries.
`FixedSecureRandom(byte[] value)`
`FixedSecureRandom(byte[][] values)`

Method Summary
`byte[]` | `generateSeed(int numBytes)`
`boolean` | `isExhausted()`
`void` | `nextBytes(byte[] bytes)`
`int` | `nextInt()`
`long` | `nextLong()`

Methods inherited from class java.security.SecureRandom
`getInstance, getInstance, getInstance, getProvider, getSeed, next, setSeed, setSeed`

Methods inherited from class java.util.Random
`nextBoolean, nextDouble, nextFloat, nextGaussian, nextInt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedSecureRandom

    public FixedSecureRandom(byte[] value)

### FixedSecureRandom

    public FixedSecureRandom(byte[][] values)

### FixedSecureRandom

    public FixedSecureRandom(boolean intPad,
                             byte[] value)

  Pad the data on integer boundaries. This is necessary for the classpath project's BigInteger implementation.

### FixedSecureRandom

    public FixedSecureRandom(boolean intPad,
                             byte[][] values)

  Pad the data on integer boundaries. This is necessary for the classpath project's BigInteger implementation.

Method Detail

### nextBytes

    public void nextBytes(byte[] bytes)

### generateSeed

    public byte[] generateSeed(int numBytes)

### nextInt

    public int nextInt()

### nextLong

    public long nextLong()

### isExhausted

    public boolean isExhausted()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD